Update Mozilla templates to work with new Mercurial templater

RESOLVED FIXED

Status

RESOLVED FIXED
8 years ago
4 years ago

People

(Reporter: djc, Assigned: djc)

Tracking

Details

Attachments

(1 attachment)

(Assignee)

Description

8 years ago
Mercurial 1.6 introduced a new template parser that requires non-template-expression { characters (used for both CSS and JS) to be escaped.
(Assignee)

Updated

8 years ago
OS: Windows 7 → All
Hardware: x86 → All
(Assignee)

Comment 1

8 years ago
Created attachment 541630 [details] [diff] [review]
Patch for the basic gitweb_mozilla templates

This fixes up the gitweb_mozilla templates, but not the other sets of templates.
Comment on attachment 541630 [details] [diff] [review]
Patch for the basic gitweb_mozilla templates

Review of attachment 541630 [details] [diff] [review]:
-----------------------------------------------------------------

I'm not actually going to review this, rs=me.

Feel free to "hg rm" the template styles we're not using, if it would make things less confusing.
Attachment #541630 - Flags: review+
(Assignee)

Comment 3

8 years ago
We can only do this once we upgrade hg, the old templater doesn't know how to escape... a bit crappy. Also I'm not sure if those gitweb_mozilla_pvt and gitweb_ecma are actually getting used?
I have no idea what those are, so I can't comment.
I pushed this on a new hg_1_6+_updates branch:
http://hg.mozilla.org/hgcustom/hg_templates/rev/68902204d68b

We'll merge that over to default as part of bug 623505.
Assignee: nobody → dirkjan
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Product: mozilla.org → Release Engineering
Product: Release Engineering → Developer Services
You need to log in before you can comment on or make changes to this bug.